package foraging_stub;

import bcn.*;
import foraging.*;


public abstract class Attract_stub extends Behavior {
    
    protected final InputPort<Location> _attractor;
    protected final OutputPort<Drive.Speed> _drive;
    
    public Attract_stub() {
        _attractor = new InputRegister<Location>();
        _drive = new OutputPort<Drive.Speed>();
    }
    
    public final InputPort<Location> get_attractor() {
        return _attractor;
    }
    
    public final OutputPort<Drive.Speed> get_drive() {
        return _drive;
    }
    
}
